// this function includes pretty much everything we need to create an API request
//our example is very similar to the last example on http://developer.nytimes.com/docs/read/article_search_api_v2
// scroll all the way down to understanf the json response 

void getArticleKeywordCount(String word, String beginDate, String endDate, int wordNumber) {

  try  {
    //creating the search query: this is the fromat the API expects, dont mess with it
    String request = "";
    request += baseURL + ".json";
    request += "?q=" + word;
    request += "&facet_field=source";
    request += "&facet_filter=true";
    request += "&begin_date=" + beginDate;
    request += "&end_date=" + endDate;
    request += "&api-key=" + APIkey;
    
    //println(request);
    
    JSONObject  root = loadJSONObject(request);   
    //root is what is sent back to us after we load the JSON ( send the query)
    //keep creaitng new JSON objects and going to the nested structure till you get what you want.
    JSONObject  response = root.getJSONObject("response");    
    JSONObject  facets = response.getJSONObject("facets");
    JSONObject  source = facets.getJSONObject("source");
    
    //lookup JSONArray in processing
    JSONArray  terms = source.getJSONArray("terms");
    
    //println(terms);
    //counter++;
    for ( int i = 0 ; i<terms.size() ; i++)
        {
           for(int j=0; j<48; j++){
             
          JSONObject  hit = terms.getJSONObject(i);        
          String paperterm = hit.getString("term");
          int count = hit.getInt("count");

          //String paperName = terms.getString(i);
          newsPaperString[counter[j]][wordNumber][i] = paperterm;         
          newsPaperHits[counter[j]][wordNumber][i] = count;
           }
        }
         
    JSONObject  meta = response.getJSONObject("meta");        
    total = meta.getInt("hits");
    time = meta.getInt("time");
    println(meta);
 
  } catch (Exception e)  {
    e.printStackTrace();
    
  }  
}
 
 
